Bug 346395 - Freezes plasma when launched from menu
Summary: Freezes plasma when launched from menu
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: frameworks
Platform: Other Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 13:05 UTC by Antonio Rojas
Modified: 2015-09-28 23:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 15.04.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2015-04-20 13:05:01 UTC
Similar to bug 344595 or bug 344896. Plasma freezes waiting for Dbus registration when ktp-log-viewer is launched from kicker or krunner.

Reproducible: Always
Comment 1 Martin Klapetek 2015-05-28 22:03:57 UTC
Git commit 50a901a06733299af2238fc4c4d26d2f8052dae0 by Martin Klapetek.
Committed on 28/05/2015 at 22:03.
Pushed by mklapetek into branch 'Applications/15.04'.

Make log viewer usable in multiple instances

Also kills the "KDEInit couldn't launch log viewer" error and Plasma
being blocked issue

REVIEW: 123907
FIXED-IN: 15.04.2

M  +4    -1    CMakeLists.txt
M  +2    -1    logviewer/CMakeLists.txt
M  +5    -0    logviewer/main.cpp
R  +1    -0    logviewer/org.kde.ktplogviewer.desktop [from: logviewer/ktp-log-viewer.desktop - 099% similarity]

http://commits.kde.org/telepathy-text-ui/50a901a06733299af2238fc4c4d26d2f8052dae0
Comment 2 Martin Klapetek 2015-09-28 23:44:46 UTC
Git commit f1c59e07876a8664d1746b9ac06034b76e909600 by Martin Klapetek.
Committed on 28/09/2015 at 23:44.
Pushed by mklapetek into branch 'Applications/15.08'.

Make log viewer usable in multiple instances

Also kills the "KDEInit couldn't launch log viewer" error and Plasma
being blocked issue

REVIEW: 123907
FIXED-IN: 15.04.2

M  +4    -1    CMakeLists.txt
M  +2    -1    logviewer/CMakeLists.txt
M  +5    -0    logviewer/main.cpp
R  +1    -0    logviewer/org.kde.ktplogviewer.desktop [from: logviewer/ktp-log-viewer.desktop - 099% similarity]

http://commits.kde.org/telepathy-text-ui/f1c59e07876a8664d1746b9ac06034b76e909600